/// <reference types="react" />
import "./styles.module.css";
import { RactDashboardPM } from './types/Dashboard';
import { RactWidgetPM } from './types/widget';
declare type DashboardProps = {
    token: string;
    tenant: number;
    userId: string;
    dashboard: RactDashboardPM;
    openAddEditWidget: (widget: RactWidgetPM | undefined) => void;
    openAddEditDashboard: (dashboard: RactDashboardPM | undefined) => void;
    onChangeDashboard: (dashboard: RactDashboardPM | undefined) => void;
    onSaveDashboard: (dashboard: RactDashboardPM | undefined) => void;
};
declare const Dashboard: (props: DashboardProps) => JSX.Element;
export default Dashboard;
